%global srcname   enrich
%global pkgname   python-enrich
%global forge_url https://github.com/pycontribs/%{srcname}
%global common_description %{expand:
rich library functionality with a set of changes that were not accepted
to rich itself.
}

%bcond_without tests

Name:           %{pkgname}
Version:        1.2.7
Release:    4%{?dist}
Summary:        Enrich adds few missing features to the wonderful rich library
URL:            %{forge_url}
Source0:         %{pypi_source}
License:        MIT
BuildArch:      noarch
patch0:          0001-remove-unsuported-pytest-option.patch
patch1:          0002_remove_pytest_plus_dependency.patch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description %{common_description}

%package -n python3-%{srcname}
Summary: %summary

%description -n python3-%{srcname} %{common_description}

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r %{?with_tests: -x test}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%if %{with tests}
%check
PYTHONPATH=src %{python3} -m pytest src/enrich/test -v -k "not test_rich_console_ex"
%endif

%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/enrich/
%{python3_sitelib}/enrich-%{version}.dist-info/

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.2.7-4
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.2.7-3
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.2.7-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.7-1
- initial build
